Bug 108721 - [CI][BAT] igt@drv_module_reload@basic-reload - list_del corruption. prev->next should be ffff88816864f0f8, but was 6b6b6b6b6b6b6b6b
Summary: [CI][BAT] igt@drv_module_reload@basic-reload - list_del corruption. prev->nex...
Status: RESOLVED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-13 09:59 UTC by Martin Peres
Modified: 2019-03-08 16:25 UTC (History)
1 user (show)

See Also:
i915 platform: GLK
i915 features: power/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-11-13 09:59:38 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5127/fi-glk-dsi/igt@drv_module_reload@basic-reload-inject.html

Starting subtest: basic-reload-inject
(drv_module_reload:2890) igt_kmod-WARNING: Could not unload snd_hda_intel
(drv_module_reload:2890) WARNING: Failed to load module 'i915' with options 'inject_load_failure=1'
(drv_module_reload:2890) CRITICAL: Test assertion failure function __real_main327, file ../tests/drv_module_reload.c:363:
(drv_module_reload:2890) CRITICAL: Failed assertion: i > 1
Subtest basic-reload-inject failed.
Comment 1 Martin Peres 2018-11-13 10:06:23 UTC
This is caused by the following oops:

<7>[  375.165469] [IGT] drv_module_reload: executing
<7>[  375.179051] [IGT] drv_module_reload: starting subtest basic-reload
<4>[  375.216706] ------------[ cut here ]------------
<4>[  375.216724] list_del corruption. prev->next should be ffff88816864f0f8, but was 6b6b6b6b6b6b6b6b
<4>[  375.216762] WARNING: CPU: 3 PID: 2887 at lib/list_debug.c:53 __list_del_entry_valid+0x79/0x90
<4>[  375.216776] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek(+) snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul snd_hda_intel ghash_clmulni_intel snd_hda_codec snd_hwdep snd_hda_core snd_pcm mei_me r8169 mei prime_numbers i2c_hid pinctrl_geminilake pinctrl_intel [last unloaded: vgem]
<4>[  375.216834] CPU: 3 PID: 2887 Comm: drv_module_relo Tainted: G     UD W         4.20.0-rc2-CI-CI_DRM_5127+ #1
<4>[  375.216849] Hardware name: Intel Corp. Geminilake/GLK RVP2 LP4SD (07), BIOS GELKRVPA.X64.0062.B30.1708222146 08/22/2017
<4>[  375.216866] RIP: 0010:__list_del_entry_valid+0x79/0x90
<4>[  375.216875] Code: 0b 31 c0 c3 48 89 fe 48 c7 c7 a8 6e 0d 82 e8 6e 7e be ff 0f 0b 31 c0 c3 48 89 f2 48 89 fe 48 c7 c7 e0 6e 0d 82 e8 57 7e be ff <0f> 0b 31 c0 c3 48 c7 c7 20 6f 0d 82 e8 46 7e be ff 0f 0b 31 c0 c3
<4>[  375.216900] RSP: 0018:ffffc90000573be8 EFLAGS: 00010286
<4>[  375.216910] RAX: 0000000000000000 RBX: ffff88816864f0f0 RCX: 0000000000000000
<4>[  375.216921] RDX: 0000000000000007 RSI: ffffffff820c64b8 RDI: 00000000ffffffff
<4>[  375.216932] RBP: ffff8881731b3098 R08: 0000000000000000 R09: 0000000000000000
<4>[  375.216942] R10: ffffc90000573ba8 R11: ffffffff822459f8 R12: ffff88816864f0f0
<4>[  375.216953] R13: ffff88816864f108 R14: ffff88816f3ab788 R15: ffff88816fc65918
<4>[  375.216965] FS:  00007f09dd8bb980(0000) GS:ffff88817bb80000(0000) knlGS:0000000000000000
<4>[  375.216978] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[  375.216987] CR2: 00007f0cb005c2f8 CR3: 000000017104c000 CR4: 0000000000340ee0
<4>[  375.216998] Call Trace:
<4>[  375.217009]  klist_release+0x25/0xf0
<4>[  375.217019]  ? __device_link_free_srcu+0x40/0x40
<4>[  375.217029]  klist_put+0x55/0x80
<4>[  375.217037]  device_del+0x63/0x360
<4>[  375.217047]  input_unregister_device+0x3c/0x60
<4>[  375.217058]  snd_jack_dev_disconnect+0x2b/0x30
<4>[  375.217068]  __snd_device_disconnect.part.1+0x16/0x50
<4>[  375.217077]  snd_device_disconnect_all+0x33/0x50
<4>[  375.217087]  snd_card_disconnect+0x14c/0x1c0
<4>[  375.217098]  snd_card_free+0x4c/0x90
<4>[  375.217110]  pci_device_remove+0x36/0xb0
<4>[  375.217120]  device_release_driver_internal+0x185/0x240
<4>[  375.217131]  unbind_store+0xaf/0x180
<4>[  375.217141]  kernfs_fop_write+0x104/0x190
<4>[  375.217153]  __vfs_write+0x31/0x180
<4>[  375.217163]  ? rcu_sync_lockdep_assert+0x9/0x50
<4>[  375.217173]  ? __sb_start_write+0x152/0x1f0
<4>[  375.217181]  ? __sb_start_write+0x163/0x1f0
<4>[  375.217191]  vfs_write+0xbd/0x1b0
<4>[  375.217199]  ksys_write+0x50/0xc0
<4>[  375.217209]  do_syscall_64+0x55/0x190
<4>[  375.217219]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4>[  375.217229] RIP: 0033:0x7f09dd24b281
<4>[  375.217238] Code: c3 0f 1f 84 00 00 00 00 00 48 8b 05 59 8d 20 00 c3 0f 1f 84 00 00 00 00 00 8b 05 8a d1 20 00 85 c0 75 16 b8 01 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 57 f3 c3 0f 1f 44 00 00 41 54 55 49 89 d4 53
<4>[  375.217263] RSP: 002b:00007ffd3ff0d7e8 EFLAGS: 00000246 ORIG_RAX: 0000000000000001
<4>[  375.217275] RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007f09dd24b281
<4>[  375.217286] RDX: 000000000000000c RSI: 000055a1d7947cab RDI: 0000000000000005
<4>[  375.217297] RBP: 00007ffd3ff0e8d0 R08: 000055a1d7947cab R09: 000000000000000c
<4>[  375.217308] R10: 00000000fffffff4 R11: 0000000000000246 R12: 000055a1d6f05380
<4>[  375.217319] R13: 00007ffd3ff0ea10 R14: 0000000000000000 R15: 0000000000000000
<4>[  375.217334] irq event stamp: 0
<4>[  375.217341] hardirqs last  enabled at (0): [<0000000000000000>]           (null)
<4>[  375.217354] hardirqs last disabled at (0): [<ffffffff81083644>] copy_process.part.6+0x504/0x2250
<4>[  375.217368] softirqs last  enabled at (0): [<ffffffff81083644>] copy_process.part.6+0x504/0x2250
<4>[  375.217382] softirqs last disabled at (0): [<0000000000000000>]           (null)
<4>[  375.217395] WARNING: CPU: 3 PID: 2887 at lib/list_debug.c:53 __list_del_entry_valid+0x79/0x90
<4>[  375.217407] ---[ end trace 20fbb49acb009f70 ]---
Comment 2 Lakshmi 2019-02-14 08:34:06 UTC
Update: There were 2 failures on CI_DRM_5127 (3 months / 1979 runs ago). This bug can be closed If the issue doesn't occur in the coming month.
Comment 3 Lakshmi 2019-02-20 07:39:21 UTC
Last seen this issue 3 months ago, updating the priority.
Comment 4 Martin Peres 2019-03-08 16:12:13 UTC
This is common code, this is likely fixed now. Closing!
Comment 5 CI Bug Log 2019-03-08 16:25:26 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.